Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: JRuby 1.4.0RC2
    • Fix Version/s: JRuby 1.5
    • Component/s: Windows
    • Labels:
      None
    • Environment:
      Windows XP
    • Number of attachments :
      0

      Description

      Hi,

      I'm trying to install the ruby-debug-ide and I get the following error :
      ********************************************************************
      jruby -S gem install --ignore-dependencies ruby-debug-ide
      JRuby limited openssl loaded. gem install jruby-openssl for full support.
      http://jruby.kenai.com/pages/JRuby_Builtin_OpenSSL
      Building native extensions. This could take a while...
      rake aborted!
      Don't know how to build task '2>&1'

      (See full trace by running task with --trace)
      ERROR: Error installing ruby-debug-ide:
      ERROR: Failed to build gem native extension.
      ********************************************************************

      This was working fine with JRuby 1.3.1

      I searched in many forums but did find the solution...
      A very approaching issue already exists (JRUBY-2611) but I'm not sure the case is similar.

      To be honnest, JRuby without IDE debugger loses a lot of its interest...

      Regards,

      //Stéphane

        Issue Links

          Activity

          Hide
          Stéphane added a comment -

          Of course :
          "I searched in many forums but did not find the solution..."
          instead of
          "I searched in many forums but did find the solution..."

          Show
          Stéphane added a comment - Of course : "I searched in many forums but did not find the solution..." instead of "I searched in many forums but did find the solution..."
          Hide
          Vladimir Sizikov added a comment -

          Thanks for the bug report!

          Yes, I can reproduce it. This is a problem with JRuby 1.4 on Windows.

          The good news is that there is a workaround:

          in the console window, type the following:

          set rake=jruby -S rake
          

          This should do it, before we fix the bug for real.

          Show
          Vladimir Sizikov added a comment - Thanks for the bug report! Yes, I can reproduce it. This is a problem with JRuby 1.4 on Windows. The good news is that there is a workaround: in the console window, type the following: set rake=jruby -S rake This should do it, before we fix the bug for real.
          Hide
          Vladimir Sizikov added a comment -

          Link to a similar issue.

          Show
          Vladimir Sizikov added a comment - Link to a similar issue.
          Hide
          Stéphane added a comment -

          Hello,

          That's a fast and effective reply

          ****************************
          C:\jruby-1.4.0>set rake=jruby -S rake

          C:\jruby-1.4.0>jruby -S gem install --ignore-dependencies ruby-debug-ide
          JRuby limited openssl loaded. gem install jruby-openssl for full support.
          http://jruby.kenai.com/pages/JRuby_Builtin_OpenSSL
          Building native extensions. This could take a while...
          Successfully installed ruby-debug-ide-0.4.9
          1 gem installed
          Installing ri documentation for ruby-debug-ide-0.4.9...
          Installing RDoc documentation for ruby-debug-ide-0.4.9...
          ****************************

          Thanks for your help!

          //Stéphane

          Show
          Stéphane added a comment - Hello, That's a fast and effective reply **************************** C:\jruby-1.4.0>set rake=jruby -S rake C:\jruby-1.4.0>jruby -S gem install --ignore-dependencies ruby-debug-ide JRuby limited openssl loaded. gem install jruby-openssl for full support. http://jruby.kenai.com/pages/JRuby_Builtin_OpenSSL Building native extensions. This could take a while... Successfully installed ruby-debug-ide-0.4.9 1 gem installed Installing ri documentation for ruby-debug-ide-0.4.9... Installing RDoc documentation for ruby-debug-ide-0.4.9... **************************** Thanks for your help! //Stéphane
          Hide
          Vladimir Sizikov added a comment -

          A proper fix is in cc4b619 on master branch, so that the workaround is not needed anymore.

          Show
          Vladimir Sizikov added a comment - A proper fix is in cc4b619 on master branch, so that the workaround is not needed anymore.

            People

            • Assignee:
              Vladimir Sizikov
              Reporter:
              Stéphane
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: